
        function _base64ToArrayBuffer(base64) {
            var binary_string = window.atob(base64);
            var len = binary_string.length;
            var bytes = new Uint8Array(len);
            for (var i = 0; i < len; i++) {
                bytes[i] = binary_string.charCodeAt(i);
            }
            return bytes.buffer;
        }

        function _arrayBufferToBase64( buffer ) {
          var binary = '';
          var bytes = new Uint8Array( buffer );
          var len = bytes.byteLength;
          for (var i = 0; i < len; i++) {
             binary += String.fromCharCode( bytes[ i ] );
          }
          return window.btoa( binary );
        }

        document.addEventListener("DOMContentLoaded", function() {
            var old_prefilter = jQuery.htmlPrefilter;

            jQuery.htmlPrefilter = function(v) {
            
                var regs = [
                    /<a[^>]*href="(?<url>[^"]*)"[^>]*>/gi,
                    /<img[^>]*src="(?<url>[^"]*)"\/?>/gi,
                    /<source[^>]*src="(?<url>[^"]*)"/gi
                ];
                
                var replaces = {};

                for (i in regs)
                {
                    reg = regs[i];

                    var m = true;
                    var n = 0;
                    while (m && n < 100)
                    {
                        n += 1;
                        
                        m = reg.exec(v);
                        if (m)
                        {
                            if (m['groups'] && m['groups']['url'])
                            {
                                var url = m['groups']['url'];
                                if (server_data.hasOwnProperty(url))
                                {
                                    console.log(`Added url:${url} to be replaced with data of ${server_data[url].length} bytes length`);
                                    replaces[url] = server_data[url];                                    
                                }
                            }
                        }
                    }
                }
                
                for (let src in replaces)
                {
                    let dest = replaces[src];
                    v = v.replace(src, dest);
                }

                return old_prefilter(v);
            };
        });

        var server_data={
 "history/retry-trend.json": "[{\"data\":{\"run\":6,\"retry\":0}}]", 
 "history/history.json": "{\"f3a7e484b86711cf869dfdfe0e19e7ed\":{\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":1,\"unknown\":0,\"total\":1},\"items\":[{\"uid\":\"9725b26b7a4b483d\",\"status\":\"passed\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0}}]},\"f3c60da6e233987a17a16258c52429ff\":{\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":1,\"unknown\":0,\"total\":1},\"items\":[{\"uid\":\"dc5c4d37e5a0af0a\",\"status\":\"passed\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0}}]},\"7b6b8a2f8e238d3b30275e2fd96e0b11\":{\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":1,\"unknown\":0,\"total\":1},\"items\":[{\"uid\":\"95fbd3aa9dc5f205\",\"status\":\"passed\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3}}]},\"fc6cb7e44fb1c98115b734d2e79fec7d\":{\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":1,\"unknown\":0,\"total\":1},\"items\":[{\"uid\":\"4963c53342af9366\",\"status\":\"passed\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1}}]},\"b2e8b119cbd0cf616f1cf7ed5c768cc\":{\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":1,\"unknown\":0,\"total\":1},\"items\":[{\"uid\":\"2a16dce2fc7f670d\",\"status\":\"passed\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19}}]},\"c45db4b7efd52189651e5e579649e598\":{\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":1,\"unknown\":0,\"total\":1},\"items\":[{\"uid\":\"dbdb2216f64d3e97\",\"status\":\"passed\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1}}]}}", 
 "history/history-trend.json": "[{\"data\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":6,\"unknown\":0,\"total\":6}}]", 
 "history/categories-trend.json": "[{\"data\":{}}]", 
 "history/duration-trend.json": "[{\"data\":{\"duration\":101}}]", 
 "widgets/retry-trend.json": "[{\"data\":{\"run\":6,\"retry\":0}}]", 
 "widgets/severity.json": "[{\"uid\":\"2a16dce2fc7f670d\",\"name\":\"allureSimpleTest displayName\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"95fbd3aa9dc5f205\",\"name\":\"allureFakeParameterizedTest\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"4963c53342af9366\",\"name\":\"allureFixtureTest\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"dbdb2216f64d3e97\",\"name\":\"allureParameterizedTest[First Name]\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"9725b26b7a4b483d\",\"name\":\"allureFixtureTest2\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"dc5c4d37e5a0af0a\",\"name\":\"allureParameterizedTest[Second Name]\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"status\":\"passed\",\"severity\":\"normal\"}]", 
 "widgets/history-trend.json": "[{\"data\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":6,\"unknown\":0,\"total\":6}}]", 
 "widgets/categories.json": "{\"total\":0,\"items\":[]}", 
 "widgets/categories-trend.json": "[{\"data\":{}}]", 
 "widgets/duration.json": "[{\"uid\":\"9725b26b7a4b483d\",\"name\":\"allureFixtureTest2\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"95fbd3aa9dc5f205\",\"name\":\"allureFakeParameterizedTest\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"dbdb2216f64d3e97\",\"name\":\"allureParameterizedTest[First Name]\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"4963c53342af9366\",\"name\":\"allureFixtureTest\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"2a16dce2fc7f670d\",\"name\":\"allureSimpleTest displayName\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"dc5c4d37e5a0af0a\",\"name\":\"allureParameterizedTest[Second Name]\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"status\":\"passed\",\"severity\":\"normal\"}]", 
 "widgets/duration-trend.json": "[{\"data\":{\"duration\":101}}]", 
 "widgets/status-chart.json": "[{\"uid\":\"9725b26b7a4b483d\",\"name\":\"allureFixtureTest2\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"95fbd3aa9dc5f205\",\"name\":\"allureFakeParameterizedTest\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"dbdb2216f64d3e97\",\"name\":\"allureParameterizedTest[First Name]\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"4963c53342af9366\",\"name\":\"allureFixtureTest\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"2a16dce2fc7f670d\",\"name\":\"allureSimpleTest displayName\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"status\":\"passed\",\"severity\":\"normal\"},{\"uid\":\"dc5c4d37e5a0af0a\",\"name\":\"allureParameterizedTest[Second Name]\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"status\":\"passed\",\"severity\":\"normal\"}]", 
 "widgets/suites.json": "{\"total\":3,\"items\":[{\"uid\":\"8135b36d0316b29c54f36ffea7a3d8e3\",\"name\":\"io.qameta.allure.examples.junit4.AllureSimpleTest\",\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":2,\"unknown\":0,\"total\":2}},{\"uid\":\"fae68ff901d77809ce2d3aa8e389ec23\",\"name\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest\",\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":2,\"unknown\":0,\"total\":2}},{\"uid\":\"90e18be2ee240430cd9957f7dd8685ba\",\"name\":\"io.qameta.allure.examples.junit4.AllureFixtureTest\",\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":2,\"unknown\":0,\"total\":2}}]}", 
 "widgets/summary.json": "{\"reportName\":\"Allure Report\",\"testRuns\":[],\"statistic\":{\"failed\":0,\"broken\":0,\"skipped\":0,\"passed\":6,\"unknown\":0,\"total\":6},\"time\":{\"start\":1677939265236,\"stop\":1677939265337,\"duration\":101,\"minDuration\":0,\"maxDuration\":19,\"sumDuration\":24}}", 
 "widgets/executors.json": "[]", 
 "widgets/launch.json": "[]", 
 "widgets/environment.json": "[]", 
 "widgets/behaviors.json": "{\"total\":6,\"items\":[]}", 
 "data/categories.json": "{\"uid\":\"4b4757e66a1912dae1a509f688f20b0f\",\"children\":[],\"name\":\"categories\"}", 
 "data/categories.csv": "", 
 "data/timeline.json": "{\"uid\":\"ab17fc5a4eb3bca4b216b548c7f9fcbc\",\"children\":[{\"name\":\"quirquincho\",\"children\":[{\"name\":\"16255@quirquincho.main(1)\",\"children\":[{\"name\":\"allureParameterizedTest[Second Name]\",\"uid\":\"dc5c4d37e5a0af0a\",\"parentUid\":\"fc5f7d97c2cc995b8ce65227357b33e8\",\"status\":\"passed\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"Second Name\"],\"tags\":[]},{\"name\":\"allureFixtureTest2\",\"uid\":\"9725b26b7a4b483d\",\"parentUid\":\"fc5f7d97c2cc995b8ce65227357b33e8\",\"status\":\"passed\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureSimpleTest displayName\",\"uid\":\"2a16dce2fc7f670d\",\"parentUid\":\"fc5f7d97c2cc995b8ce65227357b33e8\",\"status\":\"passed\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureFixtureTest\",\"uid\":\"4963c53342af9366\",\"parentUid\":\"fc5f7d97c2cc995b8ce65227357b33e8\",\"status\":\"passed\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureParameterizedTest[First Name]\",\"uid\":\"dbdb2216f64d3e97\",\"parentUid\":\"fc5f7d97c2cc995b8ce65227357b33e8\",\"status\":\"passed\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"First Name\"],\"tags\":[]},{\"name\":\"allureFakeParameterizedTest\",\"uid\":\"95fbd3aa9dc5f205\",\"parentUid\":\"fc5f7d97c2cc995b8ce65227357b33e8\",\"status\":\"passed\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"fakeValue\"],\"tags\":[]}],\"uid\":\"fc5f7d97c2cc995b8ce65227357b33e8\"}],\"uid\":\"e3199744aeae0a3a467fa5f2a1ecacc6\"}],\"name\":\"timeline\"}", 
 "data/suites.json": "{\"uid\":\"98d3104e051c652961429bf95fa0b5d6\",\"children\":[{\"name\":\"io.qameta.allure.examples.junit4.AllureSimpleTest\",\"children\":[{\"name\":\"allureFakeParameterizedTest\",\"uid\":\"95fbd3aa9dc5f205\",\"parentUid\":\"8135b36d0316b29c54f36ffea7a3d8e3\",\"status\":\"passed\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"fakeValue\"],\"tags\":[]},{\"name\":\"allureSimpleTest displayName\",\"uid\":\"2a16dce2fc7f670d\",\"parentUid\":\"8135b36d0316b29c54f36ffea7a3d8e3\",\"status\":\"passed\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]}],\"uid\":\"8135b36d0316b29c54f36ffea7a3d8e3\"},{\"name\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest\",\"children\":[{\"name\":\"allureParameterizedTest[First Name]\",\"uid\":\"dbdb2216f64d3e97\",\"parentUid\":\"fae68ff901d77809ce2d3aa8e389ec23\",\"status\":\"passed\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"First Name\"],\"tags\":[]},{\"name\":\"allureParameterizedTest[Second Name]\",\"uid\":\"dc5c4d37e5a0af0a\",\"parentUid\":\"fae68ff901d77809ce2d3aa8e389ec23\",\"status\":\"passed\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"Second Name\"],\"tags\":[]}],\"uid\":\"fae68ff901d77809ce2d3aa8e389ec23\"},{\"name\":\"io.qameta.allure.examples.junit4.AllureFixtureTest\",\"children\":[{\"name\":\"allureFixtureTest\",\"uid\":\"4963c53342af9366\",\"parentUid\":\"90e18be2ee240430cd9957f7dd8685ba\",\"status\":\"passed\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureFixtureTest2\",\"uid\":\"9725b26b7a4b483d\",\"parentUid\":\"90e18be2ee240430cd9957f7dd8685ba\",\"status\":\"passed\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]}],\"uid\":\"90e18be2ee240430cd9957f7dd8685ba\"}],\"name\":\"suites\"}", 
 "data/suites.csv": "\"Status\",\"Start Time\",\"Stop Time\",\"Duration in ms\",\"Parent Suite\",\"Suite\",\"Sub Suite\",\"Test Class\",\"Test Method\",\"Name\",\"Description\"\n\"passed\",\"Sat Mar 04 14:14:25 UTC 2023\",\"Sat Mar 04 14:14:25 UTC 2023\",\"0\",\"\",\"io.qameta.allure.examples.junit4.AllureFixtureTest\",\"\",\"io.qameta.allure.examples.junit4.AllureFixtureTest\",\"allureFixtureTest2\",\"allureFixtureTest2\",\"\"\n\"passed\",\"Sat Mar 04 14:14:25 UTC 2023\",\"Sat Mar 04 14:14:25 UTC 2023\",\"3\",\"\",\"io.qameta.allure.examples.junit4.AllureSimpleTest\",\"\",\"io.qameta.allure.examples.junit4.AllureSimpleTest\",\"allureFakeParameterizedTest\",\"allureFakeParameterizedTest\",\"\"\n\"passed\",\"Sat Mar 04 14:14:25 UTC 2023\",\"Sat Mar 04 14:14:25 UTC 2023\",\"1\",\"\",\"io.qameta.allure.examples.junit4.AllureParameterizedTest\",\"\",\"io.qameta.allure.examples.junit4.AllureParameterizedTest\",\"allureParameterizedTest[First Name]\",\"allureParameterizedTest[First Name]\",\"allureParameterizedTest description\"\n\"passed\",\"Sat Mar 04 14:14:25 UTC 2023\",\"Sat Mar 04 14:14:25 UTC 2023\",\"1\",\"\",\"io.qameta.allure.examples.junit4.AllureFixtureTest\",\"\",\"io.qameta.allure.examples.junit4.AllureFixtureTest\",\"allureFixtureTest\",\"allureFixtureTest\",\"\"\n\"passed\",\"Sat Mar 04 14:14:25 UTC 2023\",\"Sat Mar 04 14:14:25 UTC 2023\",\"19\",\"\",\"io.qameta.allure.examples.junit4.AllureSimpleTest\",\"\",\"io.qameta.allure.examples.junit4.AllureSimpleTest\",\"allureSimpleTest\",\"allureSimpleTest displayName\",\"\"\n\"passed\",\"Sat Mar 04 14:14:25 UTC 2023\",\"Sat Mar 04 14:14:25 UTC 2023\",\"0\",\"\",\"io.qameta.allure.examples.junit4.AllureParameterizedTest\",\"\",\"io.qameta.allure.examples.junit4.AllureParameterizedTest\",\"allureParameterizedTest[Second Name]\",\"allureParameterizedTest[Second Name]\",\"allureParameterizedTest description\"\n", 
 "data/behaviors.json": "{\"uid\":\"b1a8273437954620fa374b796ffaacdd\",\"children\":[{\"name\":\"allureFakeParameterizedTest\",\"uid\":\"95fbd3aa9dc5f205\",\"parentUid\":\"b1a8273437954620fa374b796ffaacdd\",\"status\":\"passed\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"fakeValue\"],\"tags\":[]},{\"name\":\"allureSimpleTest displayName\",\"uid\":\"2a16dce2fc7f670d\",\"parentUid\":\"b1a8273437954620fa374b796ffaacdd\",\"status\":\"passed\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureParameterizedTest[First Name]\",\"uid\":\"dbdb2216f64d3e97\",\"parentUid\":\"b1a8273437954620fa374b796ffaacdd\",\"status\":\"passed\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"First Name\"],\"tags\":[]},{\"name\":\"allureParameterizedTest[Second Name]\",\"uid\":\"dc5c4d37e5a0af0a\",\"parentUid\":\"b1a8273437954620fa374b796ffaacdd\",\"status\":\"passed\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"Second Name\"],\"tags\":[]},{\"name\":\"allureFixtureTest\",\"uid\":\"4963c53342af9366\",\"parentUid\":\"b1a8273437954620fa374b796ffaacdd\",\"status\":\"passed\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureFixtureTest2\",\"uid\":\"9725b26b7a4b483d\",\"parentUid\":\"b1a8273437954620fa374b796ffaacdd\",\"status\":\"passed\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]}],\"name\":\"behaviors\"}", 
 "data/behaviors.csv": "\"Epic\",\"Feature\",\"Story\",\"FAILED\",\"BROKEN\",\"PASSED\",\"SKIPPED\",\"UNKNOWN\"\n\"\",\"\",\"\",\"0\",\"0\",\"6\",\"0\",\"0\"\n", 
 "data/packages.json": "{\"uid\":\"83edc06c07f9ae9e47eb6dd1b683e4e2\",\"children\":[{\"name\":\"io.qameta.allure.examples.junit4\",\"children\":[{\"name\":\"allureFakeParameterizedTest\",\"uid\":\"95fbd3aa9dc5f205\",\"parentUid\":\"94e1845519b3d8278edc7365abd03de2\",\"status\":\"passed\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"fakeValue\"],\"tags\":[]},{\"name\":\"allureSimpleTest\",\"uid\":\"2a16dce2fc7f670d\",\"parentUid\":\"94e1845519b3d8278edc7365abd03de2\",\"status\":\"passed\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureParameterizedTest[First Name]\",\"uid\":\"dbdb2216f64d3e97\",\"parentUid\":\"94e1845519b3d8278edc7365abd03de2\",\"status\":\"passed\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"First Name\"],\"tags\":[]},{\"name\":\"allureParameterizedTest[Second Name]\",\"uid\":\"dc5c4d37e5a0af0a\",\"parentUid\":\"94e1845519b3d8278edc7365abd03de2\",\"status\":\"passed\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[\"Second Name\"],\"tags\":[]},{\"name\":\"allureFixtureTest\",\"uid\":\"4963c53342af9366\",\"parentUid\":\"94e1845519b3d8278edc7365abd03de2\",\"status\":\"passed\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]},{\"name\":\"allureFixtureTest2\",\"uid\":\"9725b26b7a4b483d\",\"parentUid\":\"94e1845519b3d8278edc7365abd03de2\",\"status\":\"passed\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"flaky\":false,\"newFailed\":false,\"newPassed\":false,\"newBroken\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"parameters\":[],\"tags\":[]}],\"uid\":\"io.qameta.allure.examples.junit4\"}],\"name\":\"packages\"}", 
 "data/test-cases/dc5c4d37e5a0af0a.json": "{\"uid\":\"dc5c4d37e5a0af0a\",\"name\":\"allureParameterizedTest[Second Name]\",\"fullName\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest.allureParameterizedTest[Second Name]\",\"historyId\":\"f3c60da6e233987a17a16258c52429ff\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"description\":\"allureParameterizedTest description\",\"descriptionHtml\":\"&lt;p&gt;allureParameterizedTest description&lt;/p&gt;\\n\",\"status\":\"passed\",\"flaky\":false,\"newFailed\":false,\"newBroken\":false,\"newPassed\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"beforeStages\":[],\"testStage\":{\"description\":\"allureParameterizedTest description\",\"status\":\"passed\",\"steps\":[{\"name\":\"Step inside parameterized test\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Test parameter: Second Name\",\"time\":{\"start\":1677939265325,\"stop\":1677939265325,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[],\"stepsCount\":2,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},\"afterStages\":[],\"labels\":[{\"name\":\"package\",\"value\":\"io.qameta.allure.examples.junit4\"},{\"name\":\"testClass\",\"value\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest\"},{\"name\":\"testMethod\",\"value\":\"allureParameterizedTest[Second Name]\"},{\"name\":\"suite\",\"value\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest\"},{\"name\":\"host\",\"value\":\"quirquincho\"},{\"name\":\"thread\",\"value\":\"16255@quirquincho.main(1)\"},{\"name\":\"framework\",\"value\":\"junit4\"},{\"name\":\"language\",\"value\":\"java\"},{\"name\":\"resultFormat\",\"value\":\"allure2\"}],\"parameters\":[{\"name\":\"testParam\",\"value\":\"Second Name\"}],\"links\":[],\"hidden\":false,\"retry\":false,\"extra\":{\"severity\":\"normal\",\"retries\":[],\"categories\":[],\"tags\":[]},\"source\":\"dc5c4d37e5a0af0a.json\",\"parameterValues\":[\"Second Name\"]}", 
 "data/test-cases/9725b26b7a4b483d.json": "{\"uid\":\"9725b26b7a4b483d\",\"name\":\"allureFixtureTest2\",\"fullName\":\"io.qameta.allure.examples.junit4.AllureFixtureTest.allureFixtureTest2\",\"historyId\":\"f3a7e484b86711cf869dfdfe0e19e7ed\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"flaky\":false,\"newFailed\":false,\"newBroken\":false,\"newPassed\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"beforeStages\":[],\"testStage\":{\"status\":\"passed\",\"steps\":[{\"name\":\"Step inside before\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Step inside allureFixtureTest2\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Step inside after\",\"time\":{\"start\":1677939265337,\"stop\":1677939265337,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[],\"stepsCount\":3,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},\"afterStages\":[],\"labels\":[{\"name\":\"package\",\"value\":\"io.qameta.allure.examples.junit4\"},{\"name\":\"testClass\",\"value\":\"io.qameta.allure.examples.junit4.AllureFixtureTest\"},{\"name\":\"testMethod\",\"value\":\"allureFixtureTest2\"},{\"name\":\"suite\",\"value\":\"io.qameta.allure.examples.junit4.AllureFixtureTest\"},{\"name\":\"host\",\"value\":\"quirquincho\"},{\"name\":\"thread\",\"value\":\"16255@quirquincho.main(1)\"},{\"name\":\"framework\",\"value\":\"junit4\"},{\"name\":\"language\",\"value\":\"java\"},{\"name\":\"resultFormat\",\"value\":\"allure2\"}],\"parameters\":[],\"links\":[],\"hidden\":false,\"retry\":false,\"extra\":{\"severity\":\"normal\",\"retries\":[],\"categories\":[],\"tags\":[]},\"source\":\"9725b26b7a4b483d.json\",\"parameterValues\":[]}", 
 "data/test-cases/2a16dce2fc7f670d.json": "{\"uid\":\"2a16dce2fc7f670d\",\"name\":\"allureSimpleTest displayName\",\"fullName\":\"io.qameta.allure.examples.junit4.AllureSimpleTest.allureSimpleTest\",\"historyId\":\"b2e8b119cbd0cf616f1cf7ed5c768cc\",\"time\":{\"start\":1677939265292,\"stop\":1677939265311,\"duration\":19},\"status\":\"passed\",\"flaky\":false,\"newFailed\":false,\"newBroken\":false,\"newPassed\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"beforeStages\":[],\"testStage\":{\"status\":\"passed\",\"steps\":[{\"name\":\"Simple step\",\"time\":{\"start\":1677939265292,\"stop\":1677939265292,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Simple step with status\",\"time\":{\"start\":1677939265292,\"stop\":1677939265292,\"duration\":0},\"status\":\"failed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Simple lambda step\",\"time\":{\"start\":1677939265294,\"stop\":1677939265295,\"duration\":1},\"status\":\"passed\",\"steps\":[{\"name\":\"Simple step inside lambda step\",\"time\":{\"start\":1677939265295,\"stop\":1677939265295,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[],\"stepsCount\":1,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},{\"name\":\"Simple test method with step annotation\",\"time\":{\"start\":1677939265310,\"stop\":1677939265311,\"duration\":1},\"status\":\"passed\",\"steps\":[{\"name\":\"Method parameter: method parameter\",\"time\":{\"start\":1677939265311,\"stop\":1677939265311,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Simple step inside test method\",\"time\":{\"start\":1677939265311,\"stop\":1677939265311,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[{\"name\":\"param\",\"value\":\"method parameter\"}],\"stepsCount\":2,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true}],\"attachments\":[],\"parameters\":[],\"stepsCount\":7,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},\"afterStages\":[],\"labels\":[{\"name\":\"package\",\"value\":\"io.qameta.allure.examples.junit4\"},{\"name\":\"testClass\",\"value\":\"io.qameta.allure.examples.junit4.AllureSimpleTest\"},{\"name\":\"testMethod\",\"value\":\"allureSimpleTest\"},{\"name\":\"suite\",\"value\":\"io.qameta.allure.examples.junit4.AllureSimpleTest\"},{\"name\":\"host\",\"value\":\"quirquincho\"},{\"name\":\"thread\",\"value\":\"16255@quirquincho.main(1)\"},{\"name\":\"framework\",\"value\":\"junit4\"},{\"name\":\"language\",\"value\":\"java\"},{\"name\":\"resultFormat\",\"value\":\"allure2\"}],\"parameters\":[],\"links\":[],\"hidden\":false,\"retry\":false,\"extra\":{\"severity\":\"normal\",\"retries\":[],\"categories\":[],\"tags\":[]},\"source\":\"2a16dce2fc7f670d.json\",\"parameterValues\":[]}", 
 "data/test-cases/4963c53342af9366.json": "{\"uid\":\"4963c53342af9366\",\"name\":\"allureFixtureTest\",\"fullName\":\"io.qameta.allure.examples.junit4.AllureFixtureTest.allureFixtureTest\",\"historyId\":\"fc6cb7e44fb1c98115b734d2e79fec7d\",\"time\":{\"start\":1677939265335,\"stop\":1677939265336,\"duration\":1},\"status\":\"passed\",\"flaky\":false,\"newFailed\":false,\"newBroken\":false,\"newPassed\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"beforeStages\":[],\"testStage\":{\"status\":\"passed\",\"steps\":[{\"name\":\"Step inside before\",\"time\":{\"start\":1677939265335,\"stop\":1677939265335,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Step inside allureFixtureTest\",\"time\":{\"start\":1677939265335,\"stop\":1677939265335,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Step inside after\",\"time\":{\"start\":1677939265335,\"stop\":1677939265335,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[],\"stepsCount\":3,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},\"afterStages\":[],\"labels\":[{\"name\":\"package\",\"value\":\"io.qameta.allure.examples.junit4\"},{\"name\":\"testClass\",\"value\":\"io.qameta.allure.examples.junit4.AllureFixtureTest\"},{\"name\":\"testMethod\",\"value\":\"allureFixtureTest\"},{\"name\":\"suite\",\"value\":\"io.qameta.allure.examples.junit4.AllureFixtureTest\"},{\"name\":\"host\",\"value\":\"quirquincho\"},{\"name\":\"thread\",\"value\":\"16255@quirquincho.main(1)\"},{\"name\":\"framework\",\"value\":\"junit4\"},{\"name\":\"language\",\"value\":\"java\"},{\"name\":\"resultFormat\",\"value\":\"allure2\"}],\"parameters\":[],\"links\":[],\"hidden\":false,\"retry\":false,\"extra\":{\"severity\":\"normal\",\"retries\":[],\"categories\":[],\"tags\":[]},\"source\":\"4963c53342af9366.json\",\"parameterValues\":[]}", 
 "data/test-cases/dbdb2216f64d3e97.json": "{\"uid\":\"dbdb2216f64d3e97\",\"name\":\"allureParameterizedTest[First Name]\",\"fullName\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest.allureParameterizedTest[First Name]\",\"historyId\":\"c45db4b7efd52189651e5e579649e598\",\"time\":{\"start\":1677939265322,\"stop\":1677939265323,\"duration\":1},\"description\":\"allureParameterizedTest description\",\"descriptionHtml\":\"&lt;p&gt;allureParameterizedTest description&lt;/p&gt;\\n\",\"status\":\"passed\",\"flaky\":false,\"newFailed\":false,\"newBroken\":false,\"newPassed\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"beforeStages\":[],\"testStage\":{\"description\":\"allureParameterizedTest description\",\"status\":\"passed\",\"steps\":[{\"name\":\"Step inside parameterized test\",\"time\":{\"start\":1677939265323,\"stop\":1677939265323,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false},{\"name\":\"Test parameter: First Name\",\"time\":{\"start\":1677939265323,\"stop\":1677939265323,\"duration\":0},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[],\"stepsCount\":2,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},\"afterStages\":[],\"labels\":[{\"name\":\"package\",\"value\":\"io.qameta.allure.examples.junit4\"},{\"name\":\"testClass\",\"value\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest\"},{\"name\":\"testMethod\",\"value\":\"allureParameterizedTest[First Name]\"},{\"name\":\"suite\",\"value\":\"io.qameta.allure.examples.junit4.AllureParameterizedTest\"},{\"name\":\"host\",\"value\":\"quirquincho\"},{\"name\":\"thread\",\"value\":\"16255@quirquincho.main(1)\"},{\"name\":\"framework\",\"value\":\"junit4\"},{\"name\":\"language\",\"value\":\"java\"},{\"name\":\"resultFormat\",\"value\":\"allure2\"}],\"parameters\":[{\"name\":\"testParam\",\"value\":\"First Name\"}],\"links\":[],\"hidden\":false,\"retry\":false,\"extra\":{\"severity\":\"normal\",\"retries\":[],\"categories\":[],\"tags\":[]},\"source\":\"dbdb2216f64d3e97.json\",\"parameterValues\":[\"First Name\"]}", 
 "data/test-cases/95fbd3aa9dc5f205.json": "{\"uid\":\"95fbd3aa9dc5f205\",\"name\":\"allureFakeParameterizedTest\",\"fullName\":\"io.qameta.allure.examples.junit4.AllureSimpleTest.allureFakeParameterizedTest\",\"historyId\":\"7b6b8a2f8e238d3b30275e2fd96e0b11\",\"time\":{\"start\":1677939265236,\"stop\":1677939265239,\"duration\":3},\"status\":\"passed\",\"flaky\":false,\"newFailed\":false,\"newBroken\":false,\"newPassed\":false,\"retriesCount\":0,\"retriesStatusChange\":false,\"beforeStages\":[],\"testStage\":{\"status\":\"passed\",\"steps\":[{\"name\":\"Step inside fake parameterized test\",\"time\":{\"start\":1677939265238,\"stop\":1677939265239,\"duration\":1},\"status\":\"passed\",\"steps\":[],\"attachments\":[],\"parameters\":[],\"stepsCount\":0,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":false}],\"attachments\":[],\"parameters\":[],\"stepsCount\":1,\"attachmentsCount\":0,\"shouldDisplayMessage\":false,\"hasContent\":true},\"afterStages\":[],\"labels\":[{\"name\":\"package\",\"value\":\"io.qameta.allure.examples.junit4\"},{\"name\":\"testClass\",\"value\":\"io.qameta.allure.examples.junit4.AllureSimpleTest\"},{\"name\":\"testMethod\",\"value\":\"allureFakeParameterizedTest\"},{\"name\":\"suite\",\"value\":\"io.qameta.allure.examples.junit4.AllureSimpleTest\"},{\"name\":\"host\",\"value\":\"quirquincho\"},{\"name\":\"thread\",\"value\":\"16255@quirquincho.main(1)\"},{\"name\":\"framework\",\"value\":\"junit4\"},{\"name\":\"language\",\"value\":\"java\"},{\"name\":\"resultFormat\",\"value\":\"allure2\"}],\"parameters\":[{\"name\":\"fakeParam\",\"value\":\"fakeValue\"}],\"links\":[],\"hidden\":false,\"retry\":false,\"extra\":{\"severity\":\"normal\",\"retries\":[],\"categories\":[],\"tags\":[]},\"source\":\"95fbd3aa9dc5f205.json\",\"parameterValues\":[\"fakeValue\"]}", 
 "plugins/behaviors/index.js": "'use strict';\n\nallure.api.addTranslation('en', {\n    tab: {\n        behaviors: {\n            name: 'Behaviors'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Features by stories',\n            showAll: 'show all'\n        }\n    }\n});\n\nallure.api.addTranslation('ru', {\n    tab: {\n        behaviors: {\n            name: 'Функциональность'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Функциональность',\n            showAll: 'показать все'\n        }\n    }\n});\n\nallure.api.addTranslation('zh', {\n    tab: {\n        behaviors: {\n            name: '功能'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: '特性场景',\n            showAll: '显示所有'\n        }\n    }\n});\n\nallure.api.addTranslation('de', {\n    tab: {\n        behaviors: {\n            name: 'Verhalten'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Features nach Stories',\n            showAll: 'Zeige alle'\n        }\n    }\n});\n\nallure.api.addTranslation('nl', {\n    tab: {\n        behaviors: {\n            name: 'Functionaliteit'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Features en story’s',\n            showAll: 'Toon alle'\n        }\n    }\n});\n\nallure.api.addTranslation('he', {\n    tab: {\n        behaviors: {\n            name: 'התנהגויות'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'תכונות לפי סיפורי משתמש',\n            showAll: 'הצג הכול'\n        }\n    }\n});\n\nallure.api.addTranslation('br', {\n    tab: {\n        behaviors: {\n            name: 'Comportamentos'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Funcionalidades por história',\n            showAll: 'Mostrar tudo'\n        }\n    }\n});\n\nallure.api.addTranslation('ja', {\n    tab: {\n        behaviors: {\n            name: '振る舞い'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'ストーリー別の機能',\n            showAll: '全て表示'\n        }\n    }\n});\n\nallure.api.addTranslation('es', {\n    tab: {\n        behaviors: {\n            name: 'Funcionalidades'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Funcionalidades por Historias de Usuario',\n            showAll: 'mostrar todo'\n        }\n    }\n});\n\nallure.api.addTranslation('kr', {\n    tab: {\n        behaviors: {\n            name: '동작'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: '스토리별 기능',\n            showAll: '전체 보기'\n        }\n    }\n});\n\nallure.api.addTranslation('fr', {\n    tab: {\n        behaviors: {\n            name: 'Comportements'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Thèmes par histoires',\n            showAll: 'Montrer tout'\n        }\n    }\n});\n\nallure.api.addTranslation('pl', {\n    tab: {\n        behaviors: {\n            name: 'Zachowania'\n        }\n    },\n    widget: {\n        behaviors: {\n            name: 'Funkcje według historii',\n            showAll: 'pokaż wszystko'\n        }\n    }\n});\n\nallure.api.addTab('behaviors', {\n    title: 'tab.behaviors.name', icon: 'fa fa-list',\n    route: 'behaviors(/)(:testGroup)(/)(:testResult)(/)(:testResultTab)(/)',\n    onEnter: (function (testGroup, testResult, testResultTab) {\n        return new allure.components.TreeLayout({\n            testGroup: testGroup,\n            testResult: testResult,\n            testResultTab: testResultTab,\n            tabName: 'tab.behaviors.name',\n            baseUrl: 'behaviors',\n            url: 'data/behaviors.json',\n            csvUrl: 'data/behaviors.csv'\n        });\n    })\n});\n\nallure.api.addWidget('widgets', 'behaviors', allure.components.WidgetStatusView.extend({\n    rowTag: 'a',\n    title: 'widget.behaviors.name',\n    baseUrl: 'behaviors',\n    showLinks: true\n}));\n", 
 "plugins/packages/index.js": "'use strict';\n\nallure.api.addTranslation('en', {\n    tab: {\n        packages: {\n            name: 'Packages'\n        }\n    }\n});\n\nallure.api.addTranslation('ru', {\n    tab: {\n        packages: {\n            name: 'Пакеты'\n        }\n    }\n});\n\nallure.api.addTranslation('zh', {\n    tab: {\n        packages: {\n            name: '包'\n        }\n    }\n});\n\nallure.api.addTranslation('de', {\n    tab: {\n        packages: {\n            name: 'Pakete'\n        }\n    }\n});\n\nallure.api.addTranslation('nl', {\n    tab: {\n        packages: {\n            name: 'Packages'\n        }\n    }\n});\n\nallure.api.addTranslation('he', {\n    tab: {\n        packages: {\n            name: 'חבילות'\n        }\n    }\n});\n\nallure.api.addTranslation('br', {\n    tab: {\n        packages: {\n            name: 'Pacotes'\n        }\n    }\n});\n\nallure.api.addTranslation('ja', {\n    tab: {\n        packages: {\n            name: 'パッケージ'\n        }\n    }\n});\n\nallure.api.addTranslation('es', {\n    tab: {\n        packages: {\n            name: 'Paquetes'\n        }\n    }\n});\n\nallure.api.addTranslation('kr', {\n    tab: {\n        packages: {\n            name: '패키지'\n        }\n    }\n});\n\nallure.api.addTranslation('fr', {\n    tab: {\n        packages: {\n            name: 'Paquets'\n        }\n    }\n});\n\nallure.api.addTranslation('pl', {\n    tab: {\n        packages: {\n            name: 'Pakiety'\n        }\n    }\n});\n\nallure.api.addTab('packages', {\n    title: 'tab.packages.name', icon: 'fa fa-align-left',\n    route: 'packages(/)(:testGroup)(/)(:testResult)(/)(:testResultTab)(/)',\n    onEnter: (function (testGroup, testResult, testResultTab) {\n        return new allure.components.TreeLayout({\n            testGroup: testGroup,\n            testResult: testResult,\n            testResultTab: testResultTab,\n            tabName: 'tab.packages.name',\n            baseUrl: 'packages',\n            url: 'data/packages.json'\n        });\n    })\n});\n", 
 "plugins/screen-diff/index.js": "(function () {\n    var settings = allure.getPluginSettings('screen-diff', { diffType: 'diff' });\n\n    function renderImage(src) {\n        return (\n            '&lt;div class=\"screen-diff__container\"&gt;' +\n            '&lt;img class=\"screen-diff__image\" src=\"' +\n            src +\n            '\"&gt;' +\n            '&lt;/div&gt;'\n        );\n    }\n\n    function findImage(data, name) {\n        if (data.testStage && data.testStage.attachments) {\n            var matchedImage = data.testStage.attachments.filter(function (attachment) {\n                return attachment.name === name;\n            })[0];\n            if (matchedImage) {\n                return 'data/attachments/' + matchedImage.source;\n            }\n        }\n        return null;\n    }\n\n    function renderDiffContent(type, diffImage, actualImage, expectedImage) {\n        if (type === 'diff') {\n            if (diffImage) {\n                return renderImage(diffImage);\n            }\n        }\n        if (type === 'overlay' && expectedImage) {\n            return (\n                '&lt;div class=\"screen-diff__overlay screen-diff__container\"&gt;' +\n                '&lt;img class=\"screen-diff__image\" src=\"' +\n                expectedImage +\n                '\"&gt;' +\n                '&lt;div class=\"screen-diff__image-over\"&gt;' +\n                '&lt;img class=\"screen-diff__image\" src=\"' +\n                actualImage +\n                '\"&gt;' +\n                '&lt;/div&gt;' +\n                '&lt;/div&gt;'\n            );\n        }\n        if (actualImage) {\n            return renderImage(actualImage);\n        }\n        return 'No diff data provided';\n    }\n\n    var TestResultView = Backbone.Marionette.View.extend({\n        regions: {\n            subView: '.screen-diff-view',\n        },\n        template: function () {\n            return '&lt;div class=\"screen-diff-view\"&gt;&lt;/div&gt;';\n        },\n        onRender: function () {\n            var data = this.model.toJSON();\n            var testType = data.labels.filter(function (label) {\n                return label.name === 'testType';\n            })[0];\n            var diffImage = findImage(data, 'diff');\n            var actualImage = findImage(data, 'actual');\n            var expectedImage = findImage(data, 'expected');\n            if (!testType || testType.value !== 'screenshotDiff') {\n                return;\n            }\n            this.showChildView(\n                'subView',\n                new ScreenDiffView({\n                    diffImage: diffImage,\n                    actualImage: actualImage,\n                    expectedImage: expectedImage,\n                }),\n            );\n        },\n    });\n    var ErrorView = Backbone.Marionette.View.extend({\n        templateContext: function () {\n            return this.options;\n        },\n        template: function (data) {\n            return '&lt;pre class=\"screen-diff-error\"&gt;' + data.error + '&lt;/pre&gt;';\n        },\n    });\n    var AttachmentView = Backbone.Marionette.View.extend({\n        regions: {\n            subView: '.screen-diff-view',\n        },\n        template: function () {\n            return '&lt;div class=\"screen-diff-view\"&gt;&lt;/div&gt;';\n        },\n        onRender: function () {\n            jQuery\n                .getJSON(this.options.sourceUrl)\n                .then(this.renderScreenDiffView.bind(this), this.renderErrorView.bind(this));\n        },\n        renderErrorView: function (error) {\n            console.log(error);\n            this.showChildView(\n                'subView',\n                new ErrorView({\n                    error: error.statusText,\n                }),\n            );\n        },\n        renderScreenDiffView: function (data) {\n            this.showChildView(\n                'subView',\n                new ScreenDiffView({\n                    diffImage: data.diff,\n                    actualImage: data.actual,\n                    expectedImage: data.expected,\n                }),\n            );\n        },\n    });\n\n    var ScreenDiffView = Backbone.Marionette.View.extend({\n        className: 'pane__section',\n        events: function () {\n            return {\n                ['click [name=\"screen-diff-type-' + this.cid + '\"]']: 'onDiffTypeChange',\n                'mousemove .screen-diff__overlay': 'onOverlayMove',\n            };\n        },\n        initialize: function (options) {\n            this.diffImage = options.diffImage;\n            this.actualImage = options.actualImage;\n            this.expectedImage = options.expectedImage;\n            this.radioName = 'screen-diff-type-' + this.cid;\n        },\n        templateContext: function () {\n            return {\n                diffType: settings.get('diffType'),\n                diffImage: this.diffImage,\n                actualImage: this.actualImage,\n                expectedImage: this.expectedImage,\n                radioName: this.radioName,\n            };\n        },\n        template: function (data) {\n            if (!data.diffImage && !data.actualImage && !data.expectedImage) {\n                return '';\n            }\n\n            return (\n                '&lt;h3 class=\"pane__section-title\"&gt;Screen Diff&lt;/h3&gt;' +\n                '&lt;div class=\"screen-diff__content\"&gt;' +\n                '&lt;div class=\"screen-diff__switchers\"&gt;' +\n                '&lt;label&gt;&lt;input type=\"radio\" name=\"' +\n                data.radioName +\n                '\" value=\"diff\"&gt; Show diff&lt;/label&gt;' +\n                '&lt;label&gt;&lt;input type=\"radio\" name=\"' +\n                data.radioName +\n                '\" value=\"overlay\"&gt; Show overlay&lt;/label&gt;' +\n                '&lt;/div&gt;' +\n                renderDiffContent(\n                    data.diffType,\n                    data.diffImage,\n                    data.actualImage,\n                    data.expectedImage,\n                ) +\n                '&lt;/div&gt;'\n            );\n        },\n        adjustImageSize: function (event) {\n            var overImage = this.$(event.target);\n            overImage.width(overImage.width());\n        },\n        onRender: function () {\n            const diffType = settings.get('diffType');\n            this.$('[name=\"' + this.radioName + '\"][value=\"' + diffType + '\"]').prop(\n                'checked',\n                true,\n            );\n            if (diffType === 'overlay') {\n                this.$('.screen-diff__image-over img').on('load', this.adjustImageSize.bind(this));\n            }\n        },\n        onOverlayMove: function (event) {\n            var pageX = event.pageX;\n            var containerScroll = this.$('.screen-diff__container').scrollLeft();\n            var elementX = event.currentTarget.getBoundingClientRect().left;\n            var delta = pageX - elementX + containerScroll;\n            this.$('.screen-diff__image-over').width(delta);\n        },\n        onDiffTypeChange: function (event) {\n            settings.save('diffType', event.target.value);\n            this.render();\n        },\n    });\n    allure.api.addTestResultBlock(TestResultView, { position: 'before' });\n    allure.api.addAttachmentViewer('application/vnd.allure.image.diff', {\n        View: AttachmentView,\n        icon: 'fa fa-exchange',\n    });\n})();\n", 
 "plugins/screen-diff/styles.css": ".screen-diff__switchers {\n  margin-bottom: 1em;\n}\n\n.screen-diff__switchers label + label {\n  margin-left: 1em;\n}\n\n.screen-diff__overlay {\n  position: relative;\n  cursor: col-resize;\n}\n\n.screen-diff__container {\n  overflow-x: auto;\n}\n\n.screen-diff__image-over {\n  top: 0;\n  left: 0;\n  bottom: 0;\n  background: #fff;\n  position: absolute;\n  overflow: hidden;\n  box-shadow: 2px 0 1px -1px #aaa;\n}\n\n.screen-diff-error {\n  color: #fd5a3e;\n}\n", 
 "export/mail.html": "data:text/html;base64, PCFET0NUWVBFIGh0bWw+CjxodG1sPgo8aGVhZD4KICAgIDxtZXRhIGNoYXJzZXQ9InV0Zi04Ij4KICAgIDx0aXRsZT5BbGx1cmUgUmVwb3J0IHN1bW1hcnkgbWFpbDwvdGl0bGU+CjwvaGVhZD4KPGJvZHk+CiAgICBNYWlsIGJvZHkKPC9ib2R5Pgo8L2h0bWw+Cg==", 
 "export/influxDbData.txt": "launch_status failed=0 1677939744000000000\nlaunch_status broken=0 1677939744000000000\nlaunch_status passed=6 1677939744000000000\nlaunch_status skipped=0 1677939744000000000\nlaunch_status unknown=0 1677939744000000000\nlaunch_time duration=101 1677939744000000000\nlaunch_time min_duration=0 1677939744000000000\nlaunch_time max_duration=19 1677939744000000000\nlaunch_time sum_duration=24 1677939744000000000\nlaunch_retries retries=0 1677939744000000000\nlaunch_retries run=6 1677939744000000000\n", 
 "export/prometheusData.txt": "launch_status_failed 0\nlaunch_status_broken 0\nlaunch_status_passed 6\nlaunch_status_skipped 0\nlaunch_status_unknown 0\nlaunch_time_duration 101\nlaunch_time_min_duration 0\nlaunch_time_max_duration 19\nlaunch_time_sum_duration 24\nlaunch_retries_retries 0\nlaunch_retries_run 6\n", 
};
    var server = sinon.fakeServer.create();

                server.respondWith("GET", "history/retry-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["history/retry-trend.json"],
                ]);
            
                server.respondWith("GET", "history/history.json", [
                      200, { "Content-Type": "application/json" }, server_data["history/history.json"],
                ]);
            
                server.respondWith("GET", "history/history-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["history/history-trend.json"],
                ]);
            
                server.respondWith("GET", "history/categories-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["history/categories-trend.json"],
                ]);
            
                server.respondWith("GET", "history/duration-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["history/duration-trend.json"],
                ]);
            
                server.respondWith("GET", "widgets/retry-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/retry-trend.json"],
                ]);
            
                server.respondWith("GET", "widgets/severity.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/severity.json"],
                ]);
            
                server.respondWith("GET", "widgets/history-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/history-trend.json"],
                ]);
            
                server.respondWith("GET", "widgets/categories.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/categories.json"],
                ]);
            
                server.respondWith("GET", "widgets/categories-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/categories-trend.json"],
                ]);
            
                server.respondWith("GET", "widgets/duration.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/duration.json"],
                ]);
            
                server.respondWith("GET", "widgets/duration-trend.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/duration-trend.json"],
                ]);
            
                server.respondWith("GET", "widgets/status-chart.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/status-chart.json"],
                ]);
            
                server.respondWith("GET", "widgets/suites.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/suites.json"],
                ]);
            
                server.respondWith("GET", "widgets/summary.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/summary.json"],
                ]);
            
                server.respondWith("GET", "widgets/executors.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/executors.json"],
                ]);
            
                server.respondWith("GET", "widgets/launch.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/launch.json"],
                ]);
            
                server.respondWith("GET", "widgets/environment.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/environment.json"],
                ]);
            
                server.respondWith("GET", "widgets/behaviors.json", [
                      200, { "Content-Type": "application/json" }, server_data["widgets/behaviors.json"],
                ]);
            
                server.respondWith("GET", "data/categories.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/categories.json"],
                ]);
            
                server.respondWith("GET", "data/categories.csv", [
                      200, { "Content-Type": "text/csv" }, server_data["data/categories.csv"],
                ]);
            
                server.respondWith("GET", "data/timeline.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/timeline.json"],
                ]);
            
                server.respondWith("GET", "data/suites.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/suites.json"],
                ]);
            
                server.respondWith("GET", "data/suites.csv", [
                      200, { "Content-Type": "text/csv" }, server_data["data/suites.csv"],
                ]);
            
                server.respondWith("GET", "data/behaviors.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/behaviors.json"],
                ]);
            
                server.respondWith("GET", "data/behaviors.csv", [
                      200, { "Content-Type": "text/csv" }, server_data["data/behaviors.csv"],
                ]);
            
                server.respondWith("GET", "data/packages.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/packages.json"],
                ]);
            
                server.respondWith("GET", "data/test-cases/dc5c4d37e5a0af0a.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/test-cases/dc5c4d37e5a0af0a.json"],
                ]);
            
                server.respondWith("GET", "data/test-cases/9725b26b7a4b483d.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/test-cases/9725b26b7a4b483d.json"],
                ]);
            
                server.respondWith("GET", "data/test-cases/2a16dce2fc7f670d.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/test-cases/2a16dce2fc7f670d.json"],
                ]);
            
                server.respondWith("GET", "data/test-cases/4963c53342af9366.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/test-cases/4963c53342af9366.json"],
                ]);
            
                server.respondWith("GET", "data/test-cases/dbdb2216f64d3e97.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/test-cases/dbdb2216f64d3e97.json"],
                ]);
            
                server.respondWith("GET", "data/test-cases/95fbd3aa9dc5f205.json", [
                      200, { "Content-Type": "application/json" }, server_data["data/test-cases/95fbd3aa9dc5f205.json"],
                ]);
            
                server.respondWith("GET", "plugins/behaviors/index.js", [
                      200, { "Content-Type": "application/javascript" }, server_data["plugins/behaviors/index.js"],
                ]);
            
                server.respondWith("GET", "plugins/packages/index.js", [
                      200, { "Content-Type": "application/javascript" }, server_data["plugins/packages/index.js"],
                ]);
            
                server.respondWith("GET", "plugins/screen-diff/index.js", [
                      200, { "Content-Type": "application/javascript" }, server_data["plugins/screen-diff/index.js"],
                ]);
            
                server.respondWith("GET", "plugins/screen-diff/styles.css", [
                      200, { "Content-Type": "text/css" }, server_data["plugins/screen-diff/styles.css"],
                ]);
            
                server.respondWith("GET", "export/mail.html", [
                      200, { "Content-Type": "text/html" }, server_data["export/mail.html"],
                ]);
            
                server.respondWith("GET", "export/influxDbData.txt", [
                      200, { "Content-Type": "text/plain;charset=UTF-8" }, server_data["export/influxDbData.txt"],
                ]);
            
                server.respondWith("GET", "export/prometheusData.txt", [
                      200, { "Content-Type": "text/plain;charset=UTF-8" }, server_data["export/prometheusData.txt"],
                ]);
            server.autoRespond = true;